<?php
   function amazomatic_help_panel()
   {
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
   <div>
      <h2 class="cr_custom_help">
         <?php echo esc_html__("About Amazon Associates Program", 'amazomatic-amazon-post-generator');?>
      </h2>
      <div class="cr_custom_help2">
         <?php echo esc_html__("The Amazon Associates Program is one of the original affiliate marketing programs. Available in geographies across the globe, the Amazon Associates Program has been partnering with content creators to help them monetize their passions since 1996. To learn more about the Amazon Associates Program, please click", 'amazomatic-amazon-post-generator');?>&nbsp;<a href="https://affiliate-program.amazon.com/" class="cr_tra" target="_blank"><?php echo esc_html__("here", 'amazomatic-amazon-post-generator');?></a>.
      </div>
      <ul class="cr_custom_help3"></ul>
      <h2 class="cr_custom_help">
         <?php echo esc_html__("Getting Started", 'amazomatic-amazon-post-generator');?>
      </h2>
      <h3 class="cr_custom_help">
         <?php echo esc_html__("Step 1 - Become an Associate", 'amazomatic-amazon-post-generator');?>
      </h3>
      <div class="cr_custom_help2">
         <?php echo esc_html__("To become an Associate, create an Amazon Associates account using URL for your country:", 'amazomatic-amazon-post-generator');?>
      </div>
      <table border="0" cellpadding="10" class="cr_yu">
         <tbody>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("Brazil", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://associados.amazon.com.br/" class="cr_tra" target="_blank">https://associados.amazon.com.br/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("Canada", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://associates.amazon.ca/" class="cr_tra" target="_blank">https://associates.amazon.ca/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("China", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://associates.amazon.cn/" class="cr_tra" target="_blank">https://associates.amazon.cn/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("France", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="http://partenaires.amazon.fr/" class="cr_tra" target="_blank">http://partenaires.amazon.fr/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("Germany", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://partnernet.amazon.de/" class="cr_tra" target="_blank">https://partnernet.amazon.de/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("India", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="http://affiliate-program.amazon.in/" class="cr_tra" target="_blank">http://affiliate-program.amazon.in/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("Italy", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://programma-affiliazione.amazon.it/" class="cr_tra" target="_blank">https://programma-affiliazione.amazon.it/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("Japan", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://affiliate.amazon.co.jp/" class="cr_tra" target="_blank">https://affiliate.amazon.co.jp/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("Mexico", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://afiliados.amazon.com.mx/" class="cr_tra" target="_blank">https://afiliados.amazon.com.mx/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("Spain", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://afiliados.amazon.es/" class="cr_tra" target="_blank">https://afiliados.amazon.es/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("United Kingdom", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://affiliate-program.amazon.co.uk/" class="cr_tra" target="_blank">https://affiliate-program.amazon.co.uk/</a></td>
            </tr>
            <tr>
               <td class="cr_help_me"><span class="cr_weight"><?php echo esc_html__("United States", 'amazomatic-amazon-post-generator');?></span></td>
               <td class="cr_ff"><a href="https://affiliate-program.amazon.com/" class="cr_tra" target="_blank">https://affiliate-program.amazon.com/</a></td>
            </tr>
         </tbody>
      </table>
      <div class="cr_custom_help2">
         <?php echo esc_html__("Your Associate ID works only in the country in which you register. If you???d like to be an Associate in more than one country, please register separately for each country.", 'amazomatic-amazon-post-generator');?>
      </div>
      <h3 class="cr_custom_help">
         <?php echo esc_html__("Step 2 - Sign up for the Amazon Product Advertising API", 'amazomatic-amazon-post-generator');?>
      </h3>
      <div class="cr_custom_help2">
         <?php echo esc_html__("Sign up for the Amazon Product Advertising API by following the instructions listed", 'amazomatic-amazon-post-generator');?>&nbsp;<a href="http://docs.aws.amazon.com/AWSECommerceService/latest/DG/CHAP_GettingStarted.html" class="cr_tra" target="_blank"><?php echo esc_html__("here", 'amazomatic-amazon-post-generator');?></a>. <?php echo esc_html__("The Amazon Product Advertising API is a popular e-commerce service, powering Amazon-integrated experiences around the world, serving tens of thousands of applications and more than 1 billion API requests every day. It exposes a web-service, which allows Associates to programmatically search and look up items in the Amazon product catalog. This plugin integrates the Product Advertising API to WordPress, allowing you to access Amazon.com product catalog data from your WordPress web site.", 'amazomatic-amazon-post-generator');?>
      </div>
      <h3 class="cr_custom_help">
         <?php echo esc_html__("Step 3 - Configure plugin for first use", 'amazomatic-amazon-post-generator');?>
      </h3>
      <div class="cr_custom_help2">
         <?php echo esc_html__("Use the settings screen to configure the plugin.", 'amazomatic-amazon-post-generator');?>
      </div>
      <ol class="cr_uy">
         <li class="cr_marg"><?php echo esc_html__("Set Access Key ID and Secret Access Key in the Settings section. These credentials are used to invoke requests to the Amazon Product Advertising API for fetching information on an item.", 'amazomatic-amazon-post-generator');?></li>
         <li class="cr_marg"><?php echo esc_html__("Set default Associate ID. Associate ID is used to monitor traffic and sales from your links to Amazon.", 'amazomatic-amazon-post-generator');?></li>
         <li class="cr_marg"><?php echo esc_html__("Set the Amazon marketplace based on the Amazon Associates Program for which you are registered (for example, if you???ve signed up for the Amazon Associates Program in UK, then your marketplace selection should be UK).", 'amazomatic-amazon-post-generator');?></li>
      </ol>
      <h2 class="cr_custom_help">
         <?php echo esc_html__("Support", 'amazomatic-amazon-post-generator');?>
      </h2>
      <div class="cr_custom_help2">
         <?php echo esc_html__("If you get stuck, or have any questions, you can contact me at support@coderevolution.ro email address.", 'amazomatic-amazon-post-generator');?>
      </div>
   </div>
</div>
<?php
   }
   ?>