<?php
   function amazomatic_items_panel()
   {
   $amazomatic_Main_Settings = get_option('amazomatic_Main_Settings', false);
   if(isset($amazomatic_Main_Settings['app_id']) && $amazomatic_Main_Settings['app_id'] != '')
   {
       if(isset($amazomatic_Main_Settings['app_secret']) && $amazomatic_Main_Settings['app_secret'] != '')
       {
       }
       else
       {
   ?>
<h1><?php echo esc_html__("You must add a Amazon App Secret before you can use this feature!", 'amazomatic-amazon-post-generator');?></h1>
<?php
   return;
   }
   }
   else
   {
   ?>
<h1><?php echo esc_html__("You must add a Amazon App ID and Secret before you can use this feature!", 'amazomatic-amazon-post-generator');?></h1>
<?php
   return;
   }
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
   <div>
      <form id="myForm" method="post" action="admin.php?page=amazomatic_items_panel">
         <?php
            wp_nonce_field('amazomatic_save_rules', '_amazomaticr_nonce');
            if (isset($_GET['settings-updated'])) {
            ?>
         <div>
            <p class="cr_saved_notif"><strong><?php echo esc_html__("Settings saved.", 'amazomatic-amazon-post-generator');?></strong></p>
         </div>
         <?php
            }
            ?>
         <div>
            <div class="hideMain">
               <hr/>
               <div class="table-responsive">
                  <table id="mainRules" class="responsive table cr_main_table">
                     <thead>
                        <tr>
                           <th>
                              <?php echo esc_html__("ID", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("This is the ID of the rule.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Keyword Search", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Input your queried keyword. Posts will be generated based on these keywords.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Schedule", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the interval in hours after which you want this rule to run. Defined in hours.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Max # Posts", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the maximum number of posts that this rule can create at once. 0-10 interval allowed.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Post Status", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the status that you want for the automatically generated posts to have.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Item Type", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the type (post/page) for your automatically generated item.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("Post Author", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Select the author that you want to assign for the automatically generated posts.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th>
                              <?php echo esc_html__("More Options", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Shows advanced settings for this rule.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th class="cr_max_width_40">
                              <?php echo esc_html__("Del", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Do you want to delete this rule?", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th class="cr_max_55">
                              <?php echo esc_html__("Active", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Do you want to enable this rule? You can deactivate any rule (you don't have to delete them to deactivate them).", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                              <br/>
                              <input type="checkbox" onchange="thisonChangeHandler(this)" id="exclusion">
                           </th>
                           <th class="cr_max_42">
                              <?php echo esc_html__("Info", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("The number of items (posts, pages) this rule has generated so far.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                           <th class="cr_actions">
                              <?php echo esc_html__("Actions", 'amazomatic-amazon-post-generator');?>
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("Do you want to run this rule now? Note that only one instance of a rule is allowed at once.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </th>
                        </tr>
                        
                     </thead>
                     <tbody>
                        <?php
                           echo amazomatic_expand_rules_manual();
                           ?>
                        
                        <tr>
                           <td class="cr_short_td">-</td>
                           <td class="cr_select_option"><input type="text" name="amazomatic_rules_list[rule_keywords][]" placeholder="Please input your search keywords" value="" class="cr_width_full"/></td>
                           <td class="cr_comm_td"><input type="number" step="1" min="1" name="amazomatic_rules_list[schedule][]" class="cr_width_60" placeholder="Select the rule schedule interval" value="24"/></td>
                           <td class="cr_comm_td"><input type="number" step="1" min="1" max="100" name="amazomatic_rules_list[max][]" placeholder="Select the max # of generated posts" value="10" class="cr_width_60"/></td>
                           <td class="cr_status">
                              <select id="submit_status" name="amazomatic_rules_list[submit_status][]" class="cr_width_70">
                                 <option value="pending"><?php echo esc_html__("Pending -> Moderate", 'amazomatic-amazon-post-generator');?></option>
                                 <option value="draft"><?php echo esc_html__("Draft -> Moderate", 'amazomatic-amazon-post-generator');?></option>
                                 <option value="publish" selected><?php echo esc_html__("Published", 'amazomatic-amazon-post-generator');?></option>
                                 <option value="private"><?php echo esc_html__("Private", 'amazomatic-amazon-post-generator');?></option>
                                 <option value="trash"><?php echo esc_html__("Trash", 'amazomatic-amazon-post-generator');?></option>
                              </select>
                           </td>
                           <td class="cr_comm_td"><select id="default_type" name="amazomatic_rules_list[default_type][]" class="cr_width_auto">
                              <?php
                                 $is_first = true;
                                 foreach ( get_post_types( '', 'names' ) as $post_type ) {
                                    echo '<option value="' . esc_attr($post_type) . '"';
                                    if($is_first === true)
                                    {
                                        echo ' selected';
                                        $is_first = false;
                                    }
                                    echo '>' . esc_html($post_type) . '</option>';
                                 }
                                 ?>
                              </select>  
                           </td>
                           <td class="cr_author"><select id="post_author" name="amazomatic_rules_list[post_author][]" class="cr_width_auto cr_max_width_150">
                              <?php
                                 $blogusers = get_users( [ 'role__in' => [ 'contributor', 'author', 'editor', 'administrator' ] ] );
                                 foreach ($blogusers as $user) {
                                     echo '<option value="' . esc_html($user->ID) . '"';
                                     echo '>' . esc_html($user->display_name) . '</option>';
                                 }
                                 ?>
                              </select>  
                           </td>
                           <td class="cr_width_70">
                              <input type="button" id="mybtnfzr" value="Settings">
                              <div id="mymodalfzr" class="codemodalfzr">
                                 <div class="codemodalfzr-content">
                                    <div class="codemodalfzr-header">
                                       <span id="amazomatic_close" class="codeclosefzr">&times;</span>
                                       <h2><span class="cr_color_white"><?php echo esc_html__("New Rule", 'amazomatic-amazon-post-generator');?></span> <?php echo esc_html__("Advanced Settings", 'amazomatic-amazon-post-generator');?></h2>
                                    </div>
                                    <div class="codemodalfzr-body">
                                       <div class="table-responsive">
                                          <table class="responsive table cr_main_table_nowr">
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Set the title of the generated posts for user rules. You can use the following shortcodes: %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_description%%, %%item_content%%, %%item_cat%%, %%item_tags%%", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Generated Post Title:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" name="amazomatic_rules_list[post_title][]" value="%%item_title%%" placeholder="Please insert your desired post title. Example: %%item_title%%" class="cr_width_full">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Set the content of the generated posts for user rules. You can use the following shortcodes: %%item_ASIN%%, %%last_update_time%%, %%item_add_to_cart_url%%, %%item_add_to_cart_button%%, %%item_get_intro%%, %%item_binding_category%%, %%item_brand%%, %%item_features%%, %%item_color%%, %%item_is_adult_product%%, %%item_price%%, %%item_manufacturer%%, %%item_size%%, %%item_offer_price%%, %%author%%, %%author_link%%, %%custom_html%%, %%custom_html2%%, %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_title_encoded%%, %%item_description%%, %%item_content%%, %%item_content_plain_text%%, %%item_img_url%%, %%item_url%%, %%item_cat%%, %%item_tags%%, %%item_buy_now_button%%, %%item_show_image%%, %%item_all_images%%, %%item_sales_rank%%, %%item_image_URL%%", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Generated Post Content:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <textarea rows="2" cols="70" name="amazomatic_rules_list[post_content][]" placeholder="Please insert your desired post content. Example:%%item_content%%" class="cr_width_full">%%item_get_intro%%<br/><br/>%%item_content%%<br/><br/>%%item_all_images%%<br/><br/>%%item_buy_now_button%%</textarea>
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to remember last posted item and continue search from it the next time the importing rule runs?", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Remember Last Posted Item And Continue Search From It:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="continue_search" name="amazomatic_rules_list[continue_search][]" checked>
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Select the Amazon Category you want to search in.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Amazon Category:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <select id="result_type" name="amazomatic_rules_list[result_type][]" class="cr_width_full">
                                                <option  value="All" selected><?php echo esc_html__("All", 'amazomatic-amazon-post-generator');?></option>
                                                <option  value="Apparel"><?php echo esc_html__("Apparel", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Appliances"><?php echo esc_html__("Appliances", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="ArtsAndCrafts"><?php echo esc_html__("ArtsAndCrafts", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Automotive"><?php echo esc_html__("Automotive", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Baby"><?php echo esc_html__("Baby", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Beauty"><?php echo esc_html__("Beauty", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Blended"><?php echo esc_html__("Blended", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Books"><?php echo esc_html__("Books", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Collectibles"><?php echo esc_html__("Collectibles", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Classical"><?php echo esc_html__("Classical", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="CreditCards"><?php echo esc_html__("CreditCards", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="DigitalMusic"><?php echo esc_html__("DigitalMusic", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="DVD"><?php echo esc_html__("DVD", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Electronics"><?php echo esc_html__("Electronics", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Fashion"><?php echo esc_html__("Fashion", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="FashionBaby"><?php echo esc_html__("FashionBaby", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="FashionBoys"><?php echo esc_html__("FashionBoys", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="FashionGirls"><?php echo esc_html__("FashionGirls", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="FashionMen"><?php echo esc_html__("FashionMen", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="FashionWomen"><?php echo esc_html__("FashionWomen", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="ForeignBooks"><?php echo esc_html__("ForeignBooks", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Furniture"><?php echo esc_html__("Furniture", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Garden"><?php echo esc_html__("Garden", 'amazomatic-amazon-post-generator');?></option>
                                                <option  value="GiftCards"><?php echo esc_html__("GiftCards", 'amazomatic-amazon-post-generator');?></option>                              
                                                <option  value="GourmetFood"><?php echo esc_html__("GourmetFood", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Grocery"><?php echo esc_html__("Grocery", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Handmade"><?php echo esc_html__("Handmade", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="HealthPersonalCare"><?php echo esc_html__("HealthPersonalCare", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Hobbies"><?php echo esc_html__("Hobbies", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Home"><?php echo esc_html__("Home", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="HomeGarden"><?php echo esc_html__("HomeGarden", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="HomeImprovement"><?php echo esc_html__("HomeImprovement", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Industrial"><?php echo esc_html__("Industrial", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Jewelry"><?php echo esc_html__("Jewelry", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="KindleStore"><?php echo esc_html__("KindleStore", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Kitchen"><?php echo esc_html__("Kitchen", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="LawnAndGarden"><?php echo esc_html__("LawnAndGarden", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Lighting"><?php echo esc_html__("Lighting", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Luggage"><?php echo esc_html__("Luggage", 'amazomatic-amazon-post-generator');?></option>
                                                <option  value="LuxuryBeauty"><?php echo esc_html__("LuxuryBeauty", 'amazomatic-amazon-post-generator');?></option>
                                                <option  value="Magazines"><?php echo esc_html__("Magazines", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Marketplace"><?php echo esc_html__("Marketplace", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Merchants"><?php echo esc_html__("Merchants", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Miscellaneous"><?php echo esc_html__("Miscellaneous", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="MobileApps"><?php echo esc_html__("MobileApps", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Movies"><?php echo esc_html__("Movies", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="MP3Downloads"><?php echo esc_html__("MP3Downloads", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Music"><?php echo esc_html__("Music", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="MusicalInstruments"><?php echo esc_html__("MusicalInstruments", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="MusicTracks"><?php echo esc_html__("MusicTracks", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="OfficeProducts"><?php echo esc_html__("OfficeProducts", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="OutdoorLiving"><?php echo esc_html__("OutdoorLiving", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Outlet"><?php echo esc_html__("Outlet", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Pantry"><?php echo esc_html__("Pantry", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="PCHardware"><?php echo esc_html__("PCHardware", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="PetSupplies"><?php echo esc_html__("PetSupplies", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Photo"><?php echo esc_html__("Photo", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Shoes"><?php echo esc_html__("Shoes", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Software"><?php echo esc_html__("Software", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="SoftwareVideoGames"><?php echo esc_html__("SoftwareVideoGames", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="SportingGoods"><?php echo esc_html__("SportingGoods", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Tools"><?php echo esc_html__("Tools", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Toys"><?php echo esc_html__("Toys", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="UnboxVideo"><?php echo esc_html__("UnboxVideo", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Vehicles"><?php echo esc_html__("Vehicles", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="VHS"><?php echo esc_html__("VHS", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Video"><?php echo esc_html__("Video", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="VideoDownload"><?php echo esc_html__("VideoDownload", 'amazomatic-amazon-post-generator');?></option>
                                                <option  value="VideoGames"><?php echo esc_html__("VideoGames", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Watches"><?php echo esc_html__("Watches", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Wine"><?php echo esc_html__("Wine", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="Wireless"><?php echo esc_html__("Wireless", 'amazomatic-amazon-post-generator');?></option> 
                                                <option  value="WirelessAccessories"><?php echo esc_html__("WirelessAccessories", 'amazomatic-amazon-post-generator');?></option>
                                                </select>  
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to set a minimum price for the imported item? Price is in pennies: 1000 is 10$.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Min Price in Pennies:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="number" min="0" step="1" id="min_price" name="amazomatic_rules_list[min_price][]" class="cr_width_full" placeholder="Input the minimum price in pennies">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to set a maximum price for the imported item? Price is in pennies: 1000 is 10$.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Max Price in Pennies:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="number" min="0" step="1" id="max_price" name="amazomatic_rules_list[max_price][]" class="cr_width_full" placeholder="Input the maximum price in pennies">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo sprintf( wp_kses( __( "Do you want to set a browser node to search in? Click <a href=\"%s\" target=\"_blank\">here</a> to get a browser node ID.", 'amazomatic-amazon-post-generator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'http://www.findbrowsenodes.com/' ) );
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Browser Node ID:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="number" min="0" step="1" id="browser_node" name="amazomatic_rules_list[browser_node][]" class="cr_width_full" placeholder="Input a browser node ID">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Actor name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Actor Name:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" id="actor_name" name="amazomatic_rules_list[actor_name][]" class="cr_width_full" placeholder="Input an actor name">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo sprintf( wp_kses( __( "Movie ratings based on MPAA ratings or age, depending on locale. You can specify one or more values in a comma-separated list. To get a list of valid values, click <a href=\"%s\" target=\"_blank\">here</a>.", 'amazomatic-amazon-post-generator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'http://docs.aws.amazon.com/AWSECommerceService/latest/DG/ItemSearch.html#MovieRatingsVarybyLocale' ) );
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Item Rating:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="number" min="1" max="5" step="1" id="item_rating" name="amazomatic_rules_list[item_rating][]" value="" class="cr_width_full" placeholder="Input an item rating">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Author name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Author Name:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" id="author_name" name="amazomatic_rules_list[author_name][]" class="cr_width_full" placeholder="Input an author name">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("Brand name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator');?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Brand Name:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" id="brand_name" name="amazomatic_rules_list[brand_name][]" value="" class="cr_width_full" placeholder="<?php echo esc_html__("Input a brand name", 'amazomatic-amazon-post-generator');?>">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("Manufacturer name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator');?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Manufacturer Name:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" id="manufacturer_name" name="amazomatic_rules_list[manufacturer_name][]" value="" class="cr_width_full" placeholder="<?php echo esc_html__("Input a manufacturer name", 'amazomatic-amazon-post-generator');?>">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("Specifies the minimum percentage off the item price.", 'amazomatic-amazon-post-generator');?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Min Percentage Off:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="number" min="0" max="100" step="1" id="min_percentage" name="amazomatic_rules_list[min_percentage][]" value="" class="cr_width_full" placeholder="<?php echo esc_html__("Input a minimum percentage", 'amazomatic-amazon-post-generator');?>">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("Filters search results and offer listings to items sold by Amazon. By default, the plugin returns items sold by merchants and Amazon.", 'amazomatic-amazon-post-generator');?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Only Items Sold By Amazon:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="only_amazon" name="amazomatic_rules_list[only_amazon][]">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("The Condition parameter filters offers by condition type. By default, Condition equals New. When the Availability parameter is set to Available, the Condition parameter cannot be set to New. When Condition is set to All, ItemSearch returns one offer per condition. Condition can be used with every index, except All and Blended.", 'amazomatic-amazon-post-generator');?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Item Condition:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <select id="condition" name="amazomatic_rules_list[condition][]" class="cr_width_full">
                                                <option value="All" selected><?php echo esc_html__("All", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="New"><?php echo esc_html__("New", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Used"><?php echo esc_html__("Used", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Collectible"><?php echo esc_html__("Collectible", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Refurbished"><?php echo esc_html__("Refurbished", 'amazomatic-amazon-post-generator');?></option>
                                                </select>  
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("Set if you want to filter results by their adult rating category.", 'amazomatic-amazon-post-generator');?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Adult Product Filter:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <select id="adult_filter" name="amazomatic_rules_list[adult_filter][]" class="cr_width_full">
                                                <option value="Any" selected><?php echo esc_html__("Any", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Safe"><?php echo esc_html__("Only Safe", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Adult"><?php echo esc_html__("Only Adult", 'amazomatic-amazon-post-generator');?></option>
                                                </select>  
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Returns available items only. This parameter must be used with the Condition parameter. When Availability is set to Available, the Condition parameter cannot be set to New.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Item Availability:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <select id="availability" name="amazomatic_rules_list[availability][]" class="cr_width_full">
                                                <option value="Any" selected><?php echo esc_html__("Any", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Available"><?php echo esc_html__("Only Available", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="IncludeOutOfStock"><?php echo esc_html__("Include Out Of Stock", 'amazomatic-amazon-post-generator');?></option>
                                                </select>  
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Artist name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Artist Name:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" id="artist_name" name="amazomatic_rules_list[artist_name][]" class="cr_width_full" placeholder="Input an artist name">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Select the type of sorting of the returned results. This will work only if you also set a value to the 'Amazon Category' settings field.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Sort Results By:", 'amazomatic-amazon-post-generator');?></b>   
                                                </td>
                                                <td class="cr_min_width_200">
                                                <select id="sort_results" name="amazomatic_rules_list[sort_results][]" class="cr_width_full">
                                                <option value="none" selected><?php echo esc_html__("None", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Relevance"><?php echo esc_html__("Relevance", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Price:LowToHigh"><?php echo esc_html__("Price:LowToHigh", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Price:HighToLow"><?php echo esc_html__("Price:HighToLow", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="NewestArrivals"><?php echo esc_html__("NewestArrivals", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="Featured"><?php echo esc_html__("Featured", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="AvgCustomerReviews"><?php echo esc_html__("AvgCustomerReviews", 'amazomatic-amazon-post-generator');?></option>
                                                </select>     
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("If your template supports 'Post Formats', than you can select one here. If not, leave this at it's default value.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Generated Post Format:", 'amazomatic-amazon-post-generator');?></b>   
                                                </td>
                                                <td class="cr_min_width_200">
                                                <select id="post_format" name="amazomatic_rules_list[post_format][]" class="cr_width_full">
                                                <option value="post-format-standard"  selected><?php echo esc_html__("Standard", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-aside"><?php echo esc_html__("Aside", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-gallery"><?php echo esc_html__("Gallery", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-link"><?php echo esc_html__("Link", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-image"><?php echo esc_html__("Image", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-quote"><?php echo esc_html__("Quote", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-status"><?php echo esc_html__("Status", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-video"><?php echo esc_html__("Video", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-audio"><?php echo esc_html__("Audio", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="post-format-chat"><?php echo esc_html__("Chat", 'amazomatic-amazon-post-generator');?></option>
                                                </select>     
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Select the post category that you want for the automatically generated posts to have.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Additional Post Category:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <select id="default_category" name="amazomatic_rules_list[default_category][]" class="cr_width_full">
                                                <option value="amazomatic_no_category_12345678" selected><?php echo esc_html__("Do Not Add a Category", 'amazomatic-amazon-post-generator');?></option>
                                                <?php
                                                   $cat_args   = array(
                                                       'orderby' => 'name',
                                                       'hide_empty' => 0,
                                                       'order' => 'ASC'
                                                   );
                                                   $categories = get_categories($cat_args);
                                                   foreach ($categories as $category) {
                                                   ?>
                                                <option value="<?php
                                                   echo esc_html($category->term_id);
                                                   ?>"><?php
                                                   echo esc_html(sanitize_text_field($category->name));
                                                   ?></option>
                                                <?php
                                                   }
                                                   ?>
                                                </select>     
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to automatically add post categories from the Amazon items?", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Auto Add Categories:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <select class="cr_width_full" id="auto_categories" name="amazomatic_rules_list[auto_categories][]">
                                                <option value="disabled" selected><?php echo esc_html__("Disabled", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="item"><?php echo esc_html__("Item", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="content"><?php echo esc_html__("Content", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="keyword"><?php echo esc_html__("Keywords", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="both"><?php echo esc_html__("Item and Content", 'amazomatic-amazon-post-generator');?></option>
                                                </select>   
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("This feature will try to remove the WordPress's default post category. This may fail in case no additional categories are added, because WordPress requires at least one post category for every post.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Remove WP Default Post Category:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="remove_default" name="amazomatic_rules_list[remove_default][]" checked>
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to automatically add post tags from the Amazon items?", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Auto Add Tags:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <select class="cr_width_full" id="auto_tags" name="amazomatic_rules_list[auto_tags][]">
                                                <option value="disabled" selected><?php echo esc_html__("Disabled", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="item"><?php echo esc_html__("Item", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="content"><?php echo esc_html__("Content", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="keyword"><?php echo esc_html__("Keywords", 'amazomatic-amazon-post-generator');?></option>
                                                <option value="both"><?php echo esc_html__("Item and Content", 'amazomatic-amazon-post-generator');?></option>
                                                </select> 
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Select the post tags that you want for the automatically generated posts to have.", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Additional Post Tags:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="text" name="amazomatic_rules_list[default_tags][]" value="" placeholder="Please insert your additional post tags here" class="cr_width_full">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Make permalinks (title and image) link directly to the post's source url. Warning: posts will not load at your site!", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Permalinks Link To Source:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="title_link" name="amazomatic_rules_list[title_link][]">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to link post images to original article source?", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Link Post Images To Source:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="add_link_img" name="amazomatic_rules_list[add_link_img][]">
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to enable comments for the generated posts?", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Enable Comments For Posts:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="enable_comments" name="amazomatic_rules_list[enable_comments][]" checked>
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to enable pingbacks/trackbacks for the generated posts?", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Enable Pingback/Trackback:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="enable_pingback" name="amazomatic_rules_list[enable_pingback][]" checked>
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Do you want to set featured image for generated post (to the first image that was found in the post)?", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Auto Get Featured Image:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <input type="checkbox" id="featured_image" name="amazomatic_rules_list[featured_image][]" checked>
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td>
                                                   <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                      <div class="bws_hidden_help_text cr_min_260px">
                                                         <?php
                                                            echo esc_html__("Insert a comma separated list of links to valid images that will be set randomly for the featured image for the posts that do not have a valid image attached or if you disabled automatical featured image generation. You can also use image numeric IDs from images found in the Media Gallery. To disable this feature, leave this field blank.", 'amazomatic-amazon-post-generator');
                                                            ?>
                                                      </div>
                                                   </div>
                                                   <b><?php echo esc_html__("Default Featured Image List:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                   <input class="cr_width_60p" type="text" name="amazomatic_rules_list[image_url][]" placeholder="Please insert the link to a valid image" id="cr_input_box"  value=""/>
                                                   <input class="cr_width_33p amazomatic_image_button" type="button" value=">>>"/>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Set the custom fields that will be set for generated posts. The syntax for this field is the following: custom_field_name1 => custom_field_value1, custom_field_name2 => custom_field_value2, ... . In custom_field_valueX, you can use shortcodes, same like in post content. Example (without quotes): 'title_custom_field => %%item_title%%'. You can use the following shortcodes: %%item_add_to_cart_url%%, %%item_add_to_cart_button%%, %%item_get_intro%%, %%item_binding_category%%, %%item_brand%%, %%item_features%%, %%item_color%%, %%item_is_adult_product%%, %%item_price%%, %%item_manufacturer%%, %%item_size%%, %%item_offer_price%%, %%author%%, %%author_link%%, %%custom_html%%, %%custom_html2%%, %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_title_encoded%%, %%item_description%%, %%item_content%%, %%item_content_plain_text%%, %%item_img_url%%, %%item_url%%, %%item_cat%%, %%item_tags%%, %%item_buy_now_button%%, %%item_show_image%%, %%item_all_images%%, %%item_sales_rank%%, %%item_image_URL%%", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Post Custom Fields:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <textarea rows="1" cols="70" name="amazomatic_rules_list[custom_fields][]" placeholder="Please insert your desired custom fields. Example: title_custom_field => %%item_title%%" class="cr_width_full"></textarea>
                                                </div>
                                                </td>
                                             </tr>
                                             <tr>
                                                <td class="cr_min_width_200">
                                                   <div>
                                                      <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                                         <div class="bws_hidden_help_text cr_min_260px">
                                                            <?php
                                                               echo esc_html__("Set the custom taxonomies that will be set for generated posts. The syntax for this field is the following: custom_taxonomy_name1 => custom_taxonomy_value1A, custom_taxonomy_value1B; custom_taxonomy_name2 => custom_taxonomy_value2A, custom_taxonomy_value2B; ... . In custom_taxonomy_valueX, you can use shortcodes. Example (without quotes): 'cats_taxonomy_field => manualtax1, %%item_add_to_cart_url%%; tags_taxonomy_field => manualtax2, %%item_add_to_cart_url%%'. You can use the following shortcodes: %%item_add_to_cart_url%%, %%item_add_to_cart_button%%, %%item_get_intro%%, %%item_binding_category%%, %%item_brand%%, %%item_features%%, %%item_color%%, %%item_is_adult_product%%, %%item_price%%, %%item_manufacturer%%, %%item_size%%, %%item_offer_price%%, %%author%%, %%author_link%%, %%custom_html%%, %%custom_html2%%, %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_title_encoded%%, %%item_description%%, %%item_content%%, %%item_content_plain_text%%, %%item_img_url%%, %%item_url%%, %%item_cat%%, %%item_tags%%, %%item_buy_now_button%%, %%item_show_image%%, %%item_all_images%%, %%item_sales_rank%%, %%item_image_URL%%. If you defined custom tag names in the 'Feed Item Custom Tag Names' settings field in plugin's 'Main Settings', you will also be able to use a shortcode for each inserted field name, in this format: %%custom_*field_name*%%", 'amazomatic-amazon-post-generator');
                                                               ?>
                                                         </div>
                                                      </div>
                                                      <b><?php echo esc_html__("Post Custom Taxonomies:", 'amazomatic-amazon-post-generator');?></b>
                                                </td>
                                                <td>
                                                <textarea rows="1" cols="70" name="amazomatic_rules_list[custom_tax][]" placeholder="Please insert your desired custom taxonomies. Example: custom_taxonomy_name => %%item_cats%%" class="cr_width_full"></textarea>
                                                </div>
                                                </td>
                                             </tr>
                                          </table>
                                       </div>
                                    </div>
                                    <div class="codemodalfzr-footer">
                                       <br/>
                                       <h3 class="cr_inline">Amazomatic Automatic Post Generator</h3>
                                       <span id="amazomatic_ok" class="codeokfzr cr_inline">OK&nbsp;</span>
                                       <br/><br/>
                                    </div>
                                 </div>
                              </div>
                           </td>
                           <td class="cr_shrt_td2"><span class="cr_gray20">X</span></td>
                           <td class="cr_short_td"><input type="checkbox" name="amazomatic_rules_list[active][]" value="1" checked />
                              <input type="hidden" name="amazomatic_rules_list[last_run][]" value="1988-01-27 00:00:00"/>
                           </td>
                           <td class="cr_short_td">
                              <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                 <div class="bws_hidden_help_text cr_min_260px">
                                    <?php
                                       echo esc_html__("No info.", 'amazomatic-amazon-post-generator');
                                       ?>
                                 </div>
                              </div>
                           </td>
                           <td class="cr_center">
                              <div>
                                 <img src="<?php
                                    echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/running.gif');
                                    ?>" alt="Running" class="cr_running">
                                 <div class="codemainfzr cr_gray_back">
                                    <select id="actions" class="actions" name="actions" disabled>
                                       <option value="select" disabled selected><?php echo esc_html__("Select an Action", 'amazomatic-amazon-post-generator');?></option>
                                       <option value="run" onclick=""><?php echo esc_html__("Run This Rule Now", 'amazomatic-amazon-post-generator');?></option>
                                       <option value="trash" onclick=""><?php echo esc_html__("Move All Posts To Trash", 'amazomatic-amazon-post-generator');?></option>
                                       <option value="duplicate" onclick=""><?php echo esc_html__("Duplicate This Rule", 'amazomatic-amazon-post-generator');?></option>
                                       <option value="delete" onclick=""><?php echo esc_html__("Permanently Delete All Posts", 'amazomatic-amazon-post-generator');?></option>
                                    </select>
                                 </div>
                              </div>
                           </td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
         <hr/>
         <div>
            <p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'amazomatic-amazon-post-generator');?>"/></p>
         </div>
         <div>
            <a href="https://www.youtube.com/watch?v=5rbnu_uis7Y" target="_blank"><?php echo esc_html__("Nested Shortcodes also supported!", 'amazomatic-amazon-post-generator');?></a><br/><?php echo esc_html__("Confused about rule running status icons?", 'amazomatic-amazon-post-generator');?> <a href="http://coderevolution.ro/knowledge-base/faq/how-to-interpret-the-rule-running-visual-indicators-red-x-yellow-diamond-green-tick-from-inside-plugins/" target="_blank"><?php echo esc_html__("More info", 'amazomatic-amazon-post-generator');?></a><br/>
            <div class="cr_none" id="midas_icons">
               <table>
                  <tr>
                     <td><img id="run_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/running.gif');?>" alt="Running" title="status"></td>
                     <td><?php echo esc_html__("In Progress", 'amazomatic-amazon-post-generator');?> - <b><?php echo esc_html__("Importing is Running", 'amazomatic-amazon-post-generator');?></b></td>
                  </tr>
                  <tr>
                     <td><img id="ok_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/ok.gif');?>" alt="OK"  title="status"></td>
                     <td><?php echo esc_html__("Success", 'amazomatic-amazon-post-generator');?> - <b><?php echo esc_html__("New Posts Created", 'amazomatic-amazon-post-generator');?></b></td>
                  </tr>
                  <tr>
                     <td><img id="fail_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/failed.gif');?>" alt="Faield" title="status"></td>
                     <td><?php echo esc_html__("Failed", 'amazomatic-amazon-post-generator');?> - <b><?php echo esc_html__("An Error Occurred.", 'amazomatic-amazon-post-generator');?> <b><?php echo esc_html__("Please check 'Activity and Logging' plugin menu for details.", 'amazomatic-amazon-post-generator');?></b></td>
                  </tr>
                  <tr>
                     <td><img id="nochange_img" src="<?php echo esc_url(plugin_dir_url(dirname(__FILE__)) . 'images/nochange.gif');?>" alt="NoChange" title="status"></td>
                     <td><?php echo esc_html__("No Change - No New Posts Created", 'amazomatic-amazon-post-generator');?> - <b><?php echo esc_html__("Possible reasons:", 'amazomatic-amazon-post-generator');?></b></td>
                  </tr>
                  <tr>
                     <td></td>
                     <td>
                        <ul>
                           <li>&#9658; <?php echo esc_html__("Already all posts are published that match your search and posts will be posted when new content will be available", 'amazomatic-amazon-post-generator');?></li>
                           <li>&#9658; <?php echo esc_html__("Some restrictions you defined in the plugin's 'Main Settings'", 'amazomatic-amazon-post-generator');?> <i>(<?php echo esc_html__("example: 'Minimum Content Word Count', 'Maximum Content Word Count', 'Minimum Title Word Count', 'Maximum Title Word Count', 'Banned Words List', 'Reuired Words List', 'Skip Posts Without Images'", 'amazomatic-amazon-post-generator');?>)</i> <?php echo esc_html__("prevent posting of new posts.", 'amazomatic-amazon-post-generator');?></li>
                        </ul>
                     </td>
                  </tr>
               </table>
            </div>
         </div>
      </form>
   </div>
</div>
<?php
   }
   if (isset($_POST['amazomatic_rules_list'])) {
       add_action('admin_init', 'amazomatic_save_rules_manual');
   }
   
   function amazomatic_save_rules_manual($data2)
   {
       check_admin_referer('amazomatic_save_rules', '_amazomaticr_nonce');
       
       $data2 = $_POST['amazomatic_rules_list'];
       $rules = array();
       $cont  = 0;
       if (isset($data2['rule_keywords'][0])) {
           for ($i = 0; $i < sizeof($data2['rule_keywords']); ++$i) {
               $bundle = array();
               if (isset($data2['schedule'][$i]) && $data2['schedule'][$i] != '' && $data2['rule_keywords'][$i] != '') {
                   $bundle[] = trim(sanitize_text_field($data2['adult_filter'][$i]));
                   $bundle[] = trim(sanitize_text_field($data2['schedule'][$i]));
                   if (isset($data2['active'][$i])) {
                       $bundle[] = trim(sanitize_text_field($data2['active'][$i]));
                   } else {
                       $bundle[] = '0';
                   }
                   $bundle[]     = trim(sanitize_text_field($data2['last_run'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['max'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['submit_status'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['default_type'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['post_author'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['default_tags'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['default_category'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['auto_categories'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['auto_tags'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['enable_comments'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['featured_image'][$i]));
                   $bundle[]     = trim($data2['image_url'][$i]);
                   $bundle[]     = $data2['post_title'][$i];
                   $bundle[]     = $data2['post_content'][$i];
                   $bundle[]     = trim(sanitize_text_field($data2['enable_pingback'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['post_format'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['rule_keywords'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['min_price'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['max_price'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['result_type'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['browser_node'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['sort_results'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['actor_name'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['artist_name'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['item_rating'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['author_name'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['availability'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['brand_name'][$i]));
                   $bundle[]     = '';
                   $bundle[]     = trim(sanitize_text_field($data2['condition'][$i]));
                   $bundle[]     = '';
                   $bundle[]     = '';
                   $bundle[]     = trim(sanitize_text_field($data2['manufacturer_name'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['only_amazon'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['min_percentage'][$i]));
                   $bundle[]     = '';
                   $bundle[]     = '';
                   $bundle[]     = '';
                   $bundle[]     = trim(sanitize_text_field($data2['custom_fields'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['title_link'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['add_link_img'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['remove_default'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['continue_search'][$i]));
                   $bundle[]     = trim(sanitize_text_field($data2['custom_tax'][$i]));
                   $rules[$cont] = $bundle;
                   $cont++;
               }
           }
       }
       update_option('amazomatic_rules_list', $rules, false);
   }
   function amazomatic_expand_rules_manual()
   {
       $amazomatic_Main_Settings = get_option('amazomatic_Main_Settings', false);
       $cat_args   = array(
                   "orderby" => "name",
                   "hide_empty" => 0,
                   "order" => "ASC"
       );
       $categories = get_categories($cat_args);
       if (!get_option('amazomatic_running_list')) {
           $running = array();
       } else {
           $running = get_option('amazomatic_running_list');
       }
       $GLOBALS['wp_object_cache']->delete('amazomatic_rules_list', 'options');
       $rules  = get_option('amazomatic_rules_list');
       $output = '';
       $cont   = 0;
       if (!empty($rules)) {
           $posted_items = array();
           $post_list = array();
           $postsPerPage = 50000;
           $paged = 0;
           do
           {
               $postOffset = $paged * $postsPerPage;
               $query = array(
                   'post_status' => array(
                       'publish',
                       'draft',
                       'pending',
                       'trash',
                       'private',
                       'future'
                   ),
                   'post_type' => array(
                       'any'
                   ),
                   'numberposts' => $postsPerPage,
                   'meta_key' => 'amazomatic_parent_rule',
                   'fields' => 'ids',
                   'offset'  => $postOffset
               );
               $got_me = get_posts($query);
               $post_list = array_merge($post_list, $got_me);
               $paged++;
           }while(!empty($got_me));
           wp_suspend_cache_addition(true);
           foreach ($post_list as $post) {
               $rule_id = get_post_meta($post, 'amazomatic_parent_rule', true);
               $rule_type = get_post_meta($post, 'amazomatic_parent_type', true);
               if ($rule_id != '' && $rule_type == '0') {
                   $posted_items[] = $rule_id;
               }
           }
           wp_suspend_cache_addition(false);
           $counted_vals = array_count_values($posted_items);
           foreach ($rules as $request => $bundle[]) {
               if (isset($counted_vals[$cont])) {
                   $generated_posts = $counted_vals[$cont];
               } else {
                   $generated_posts = 0;
               }
               $bundle_values          = array_values($bundle);
               $myValues               = $bundle_values[$cont];
               $array_my_values        = array_values($myValues);for($iji=0;$iji<count($array_my_values);++$iji){if(is_string($array_my_values[$iji])){$array_my_values[$iji]=stripslashes($array_my_values[$iji]);}}
               $adult_filter                    = $array_my_values[0];
               $schedule               = $array_my_values[1];
               $active                 = $array_my_values[2];
               $last_run               = $array_my_values[3];
               $max                    = $array_my_values[4];
               $status                 = $array_my_values[5];
               $def_type               = $array_my_values[6];
               $post_user_name         = $array_my_values[7];
               $default_tags           = $array_my_values[8];
               $default_category       = $array_my_values[9];
               $auto_categories        = $array_my_values[10];
               $auto_tags              = $array_my_values[11];
               $enable_comments        = $array_my_values[12];
               $featured_image         = $array_my_values[13];
               $image_url              = $array_my_values[14];
               $post_title             = $array_my_values[15];
               $post_content           = $array_my_values[16];
               $enable_pingback        = $array_my_values[17];
               $post_format            = $array_my_values[18];
               $rule_keywords          = $array_my_values[19];
               $min_price              = $array_my_values[20];
               $max_price              = $array_my_values[21];
               $result_type            = $array_my_values[22];
               $browser_node           = $array_my_values[23];
               $sort_results           = $array_my_values[24];
               $actor_name             = $array_my_values[25];
               $artist_name            = $array_my_values[26];
               $item_rating            = $array_my_values[27];
               $author_name            = $array_my_values[28];
               $availability           = $array_my_values[29];
               $brand_name             = $array_my_values[30];
               //unused composer_name
               $composer_name          = $array_my_values[31];
               $condition              = $array_my_values[32];
               //unused conductor_name
               $conductor_name         = $array_my_values[33];
               //unused director_name
               $director_name          = $array_my_values[34];
               $manufacturer_name      = $array_my_values[35];
               $only_amazon            = $array_my_values[36];
               $min_percentage         = $array_my_values[37];
               //unused orchestra_name
               $orchestra_name         = $array_my_values[38];
               //unused power
               $power                  = $array_my_values[39];
               //unused publisher_name
               $publisher_name         = $array_my_values[40];
               $custom_fields          = $array_my_values[41];
               $title_link             = $array_my_values[42];
               $add_link_img           = $array_my_values[43];
               $remove_default         = $array_my_values[44];
               $continue_search        = $array_my_values[45];
               $custom_tax             = $array_my_values[46];
               wp_add_inline_script('amazomatic-footer-script', 'createAdmin(' . esc_html($cont) . ');', 'after');
               $output .= '<tr>
                           <td class="cr_short_td">' . esc_html($cont) . '</td>
                           <td class="cr_select_option"><input type="text" name="amazomatic_rules_list[rule_keywords][]" placeholder="Please input your search keywords" value="' . esc_attr($rule_keywords) . '" class="cr_width_full"/></td> </td>
   						<td class="cr_comm_td"><input type="number" step="1" min="1" placeholder="# h" name="amazomatic_rules_list[schedule][]" value="' . esc_attr($schedule) . '" class="cr_width_60" required></td>
                           <td class="cr_comm_td"><input type="number" step="1" min="1" placeholder="# max" max="10" name="amazomatic_rules_list[max][]" value="' . esc_attr($max) . '"  class="cr_width_60" required></td>
                           <td class="cr_status"><select id="submit_status" name="amazomatic_rules_list[submit_status][]" class="cr_width_70">
                                     <option value="pending"';
               if ($status == 'pending') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Pending -> Moderate", 'amazomatic-amazon-post-generator') . '</option>
                                     <option value="draft"';
               if ($status == 'draft') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Draft -> Moderate", 'amazomatic-amazon-post-generator') . '</option>
                                     <option value="publish"';
               if ($status == 'publish') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Published", 'amazomatic-amazon-post-generator') . '</option>
                                     <option value="private"';
               if ($status == 'private') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Private", 'amazomatic-amazon-post-generator') . '</option>
                                     <option value="trash"';
               if ($status == 'trash') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Trash", 'amazomatic-amazon-post-generator') . '</option>
                       </select>  </td>
                       <td class="cr_comm_td"><select id="default_type" name="amazomatic_rules_list[default_type][]" class="cr_width_auto">';
               foreach ( get_post_types( '', 'names' ) as $post_type ) {
                  $output .= '<option value="' . esc_attr($post_type) . '"';
                  if ($def_type == $post_type) {
                       $output .= ' selected';
                   }
                  $output .= '>' . esc_html($post_type) . '</option>';
               }
                       $output .= '</select>  </td>
                       <td class="cr_author"><select id="post_author" name="amazomatic_rules_list[post_author][]" class="cr_width_auto cr_max_width_150">';
               $blogusers = get_users( [ 'role__in' => [ 'contributor', 'author', 'editor', 'administrator' ] ] );
               foreach ($blogusers as $user) {
                   $output .= '<option value="' . esc_html($user->ID) . '"';
                   if ($post_user_name == $user->ID) {
                       $output .= " selected";
                   }
                   $output .= '>' . esc_html($user->display_name) . '</option>';
               }
               $output .= '</select>  </td>
                       <td class="cr_width_70">
                       <input type="button" id="mybtnfzr' . esc_html($cont) . '" value="Settings">
                       <div id="mymodalfzr' . esc_html($cont) . '" class="codemodalfzr">
     <div class="codemodalfzr-content">
       <div class="codemodalfzr-header">
         <span id="amazomatic_close' . esc_html($cont) . '" class="codeclosefzr">&times;</span>
         <h2>' . esc_html__('Rule', 'amazomatic-amazon-post-generator') . ' <span class="cr_color_white">ID ' . esc_html($cont) . '</span> ' . esc_html__('Advanced Settings', 'amazomatic-amazon-post-generator') . '</h2>
       </div>
       <div class="codemodalfzr-body">
       <div class="table-responsive">
         <table class="responsive table cr_main_table_nowr">
       <tr><td class="cr_min_width_200">
       <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set the title of the generated posts for user rules. You can use the following shortcodes:  %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_description%%, %%item_content%%, %%item_cat%%, %%item_tags%%", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Generated Post Title", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="text" name="amazomatic_rules_list[post_title][]" value="' . esc_attr(htmlspecialchars($post_title)) . '" placeholder="Please insert your desired post title. Example: %%item_title%%" class="cr_width_full">
                           
           </div>
           </td></tr><tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set the content of the generated posts for user rules. You can use the following shortcodes: %%item_ASIN%%, %%last_update_time%%, %%item_add_to_cart_url%%, %%item_add_to_cart_button%%, %%item_get_intro%%, %%item_binding_category%%, %%item_brand%%, %%item_features%%, %%item_color%%, %%item_is_adult_product%%, %%item_price%%, %%item_manufacturer%%, %%item_size%%, %%item_offer_price%%, %%author%%, %%author_link%%, %%item_show_image%%, %%item_buy_now_button%%, %%item_all_images%%, %%item_sales_rank%%, %%custom_html%%, %%custom_html2%%, %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_title_encoded%%, %%item_description%%, %%item_content%%, %%item_content_plain_text%%, %%item_img_url%%, %%item_url%%, %%item_cat%%, %%item_tags%%", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Generated Post Content", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <textarea rows="2" cols="70" name="amazomatic_rules_list[post_content][]" placeholder="Please insert your desired post content. Example:%%item_content%%" class="cr_width_full">' . htmlspecialchars($post_content) . '</textarea>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to remember last posted item and continue search from it the next time the importing rule runs?", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Remember Last Posted Item And Continue Search From It", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="continue_search" name="amazomatic_rules_list[continue_search][]"';
               if ($continue_search == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select the Amazon Category you want to search in.", 'amazomatic-amazon-post-generator') . '</div>
                       </div>
                       <b>' . esc_html__("Amazon Category", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <select id="result_type" name="amazomatic_rules_list[result_type][]" class="cr_width_full">
                                <option  value="All"';
               if ($result_type == 'All') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("All", 'amazomatic-amazon-post-generator') . '</option>
                                <option  value="Apparel"';
               if ($result_type == 'Apparel') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Apparel', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Appliances"';
               if ($result_type == 'Appliances') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Appliances', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="ArtsAndCrafts"';
               if ($result_type == 'ArtsAndCrafts') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('ArtsAndCrafts', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Automotive"';
               if ($result_type == 'Automotive') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Automotive', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Baby" ';
               if ($result_type == 'Baby') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Baby', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Beauty" ';
               if ($result_type == 'Beauty') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Beauty', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Blended"';
               if ($result_type == 'Blended') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Blended', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Books" ';
               if ($result_type == 'Books') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Books', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Collectibles"';
               if ($result_type == 'Collectibles') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Collectibles', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Classical"';
               if ($result_type == 'Classical') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Classical', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="CreditCards"';
               if ($result_type == 'CreditCards') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('CreditCards', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="DigitalMusic"';
               if ($result_type == 'DigitalMusic') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('DigitalMusic', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="DVD" ';
               if ($result_type == 'DVD') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('DVD', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Electronics" ';
               if ($result_type == 'Electronics') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Electronics', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Fashion"';
               if ($result_type == 'Fashion') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Fashion', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="FashionBaby" ';
               if ($result_type == 'FashionBaby') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('FashionBaby', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="FashionBoys" ';
               if ($result_type == 'FashionBoys') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('FashionBoys', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="FashionGirls" ';
               if ($result_type == 'FashionGirls') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('FashionGirls', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="FashionMen" ';
               if ($result_type == 'FashionMen') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('FashionMen', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="FashionWomen" ';
               if ($result_type == 'FashionWomen') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('FashionWomen', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="ForeignBooks" ';
               if ($result_type == 'ForeignBooks') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('ForeignBooks', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Furniture"';
               if ($result_type == 'Furniture') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Furniture', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Garden"';
               if ($result_type == 'Garden') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Garden', 'amazomatic-amazon-post-generator') . '</option>
                                <option  value="GiftCards" ';
               if ($result_type == 'GiftCards') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('GiftCards', 'amazomatic-amazon-post-generator') . '</option>                              
   							 <option  value="GourmetFood" ';
               if ($result_type == 'GourmetFood') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('GourmetFood', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Grocery" ';
               if ($result_type == 'Grocery') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Grocery', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Handmade" ';
               if ($result_type == 'Handmade') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Handmade', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="HealthPersonalCare" ';
               if ($result_type == 'HealthPersonalCare') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('HealthPersonalCare', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Hobbies" ';
               if ($result_type == 'Hobbies') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Hobbies', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Home"  ';
               if ($result_type == 'Home') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('Home', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="HomeGarden" ';
               if ($result_type == 'HomeGarden') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('HomeGarden', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="HomeImprovement" ';
               if ($result_type == 'HomeImprovement') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('HomeImprovement', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Industrial" ';
               if ($result_type == 'Industrial') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Industrial', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Jewelry" ';
               if ($result_type == 'Jewelry') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Jewelry', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="KindleStore" ';
               if ($result_type == 'KindleStore') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('KindleStore', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Kitchen" ';
               if ($result_type == 'Kitchen') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Kitchen', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="LawnAndGarden" ';
               if ($result_type == 'LawnAndGarden') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('LawnAndGarden', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Lighting" ';
               if ($result_type == 'Lighting') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Lighting', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Luggage"';
               if ($result_type == 'Luggage') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Luggage', 'amazomatic-amazon-post-generator') . '</option>
                                <option  value="LuxuryBeauty" ';
               if ($result_type == 'LuxuryBeauty') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('LuxuryBeauty', 'amazomatic-amazon-post-generator') . '</option>
   							 <option  value="Magazines" ';
               if ($result_type == 'Magazines') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Magazines', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Marketplace" ';
               if ($result_type == 'Marketplace') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Marketplace', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Merchants" ';
               if ($result_type == 'Merchants') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Merchants', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Miscellaneous" ';
               if ($result_type == 'Miscellaneous') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Miscellaneous', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="MobileApps" ';
               if ($result_type == 'MobileApps') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('MobileApps', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Movies" ';
               if ($result_type == 'Movies') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Movies', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="MP3Downloads" ';
               if ($result_type == 'MP3Downloads') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('MP3Downloads', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Music"';
               if ($result_type == 'Music') {
                   $output .= ' selected';
               }
               $output .= '   >' . esc_html__('Music', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="MusicalInstruments" ';
               if ($result_type == 'MusicalInstruments') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('MusicalInstruments', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="MusicTracks" ';
               if ($result_type == 'MusicTracks') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('MusicTracks', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="OfficeProducts" ';
               if ($result_type == 'OfficeProducts') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('OfficeProducts', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="OutdoorLiving" ';
               if ($result_type == 'OutdoorLiving') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('OutdoorLiving', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Outlet"  ';
               if ($result_type == 'Outlet') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('Outlet', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Pantry" ';
               if ($result_type == 'Pantry') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Pantry', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="PCHardware"  ';
               if ($result_type == 'PCHardware') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('PCHardware', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="PetSupplies"  ';
               if ($result_type == 'PetSupplies') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('PetSupplies', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Photo" ';
               if ($result_type == 'Photo') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Photo', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Shoes" ';
               if ($result_type == 'Shoes') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Shoes', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Software" ';
               if ($result_type == 'Software') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Software', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="SoftwareVideoGames"  ';
               if ($result_type == 'SoftwareVideoGames') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('SoftwareVideoGames', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="SportingGoods" ';
               if ($result_type == 'SportingGoods') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('SportingGoods', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Tools"  ';
               if ($result_type == 'Tools') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('Tools', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Toys"  ';
               if ($result_type == 'Toys') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('Toys', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="UnboxVideo" ';
               if ($result_type == 'UnboxVideo') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('UnboxVideo', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Vehicles" ';
               if ($result_type == 'Vehicles') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Vehicles', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="VHS" ';
               if ($result_type == 'VHS') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('VHS', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Video" ';
               if ($result_type == 'Video') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('Video', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="VideoDownload" ';
               if ($result_type == 'VideoDownload') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('VideoDownload', 'amazomatic-amazon-post-generator') . '</option>
   							 <option  value="VideoGames" ';
               if ($result_type == 'VideoGames') {
                   $output .= ' selected';
               }
               $output .= '  >' . esc_html__('VideoGames', 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Watches"  ';
               if ($result_type == 'Watches') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('Watches', 'amazomatic-amazon-post-generator') . '</option> 
                                <option  value="Wine"   ';
               if ($result_type == 'Wine') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Wine", 'amazomatic-amazon-post-generator') . '</option> 
   							 <option  value="Wireless"  ';
               if ($result_type == 'Wireless') {
                   $output .= ' selected';
               }
               $output .= ' >' . esc_html__('Wireless', 'amazomatic-amazon-post-generator') . '</option> 
                   </select>  
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to set a minimum price for the imported items? Price is in pennies: 1000 is 10$.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Min Price in Pennies", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="number" min="0" step="1" id="min_price" name="amazomatic_rules_list[min_price][]" value="' . esc_attr($min_price) . '" class="cr_width_full" placeholder="Input a minimum price">
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to set a maximum price for the imported items? Price is in pennies: 1000 is 10$.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Max Price in Pennies", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="number" min="0" step="1" id="max_price" name="amazomatic_rules_list[max_price][]" value="' . esc_attr($max_price) . '" class="cr_width_full" placeholder="Input a maximum price">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . sprintf( wp_kses( __( 'Do you want to set a browser node to search in? Click <a href="%s" target="_blank">here</a> to get a browser node ID.', 'amazomatic-amazon-post-generator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'http://www.findbrowsenodes.com/' ) ) . '
                           </div>
                       </div>
                       <b>' . esc_html__("Browser Node ID", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="number" min="0" step="1" id="browser_node" name="amazomatic_rules_list[browser_node][]" value="' . esc_attr($browser_node) . '" class="cr_width_full" placeholder="Input a browser node">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Actor name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Actor Name", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="text" id="actor_name" name="amazomatic_rules_list[actor_name][]"  value="' . esc_attr($actor_name) . '" class="cr_width_full" placeholder="Input an actor name">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . sprintf( wp_kses( __( 'Movie ratings based on MPAA ratings or age, depending on locale. You can specify one or more values in a comma-separated list. To get a list of valid values, click <a href="%s" target="_blank">here</a>.', 'amazomatic-amazon-post-generator'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'http://docs.aws.amazon.com/AWSECommerceService/latest/DG/ItemSearch.html#MovieRatingsVarybyLocale' ) ) . '
                           </div>
                       </div>
                       <b>' . esc_html__("Item Rating", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="number" min="1" max="5" step="1" id="item_rating" name="amazomatic_rules_list[item_rating][]"  value="' . esc_attr($item_rating) . '" class="cr_width_full" placeholder="Input an item rating">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Author name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Author Name", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="text" id="author_name" name="amazomatic_rules_list[author_name][]"  value="' . esc_attr($author_name) . '" class="cr_width_full" placeholder="Input an author name">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Brand name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Brand Name", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="text" id="brand_name" name="amazomatic_rules_list[brand_name][]"  value="' . esc_attr($brand_name) . '" class="cr_width_full" placeholder="Input a brand name">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Manufacturer name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Manufacturer Name", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="text" id="manufacturer_name" name="amazomatic_rules_list[manufacturer_name][]"  value="' . esc_attr($manufacturer_name) . '" class="cr_width_full" placeholder="Input a manufacturer name">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Specifies the minimum percentage off the item price.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Min Percentage Off", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="number" min="0" max="100" step="1" id="min_percentage" name="amazomatic_rules_list[min_percentage][]"  value="' . esc_attr($min_percentage) . '" class="cr_width_full" placeholder="Input a minimum percentage">
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Filters search results and offer listings to items sold by Amazon. By default, the plugin returns items sold by merchants and Amazon.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Only Items Sold By Amazon", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="only_amazon" name="amazomatic_rules_list[only_amazon][]"';
               if ($only_amazon == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("The Condition parameter filters offers by condition type. By default, Condition equals New. When the Availability parameter is set to Available, the Condition parameter cannot be set to New. When Condition is set to All, ItemSearch returns one offer per condition. Condition can be used with every index, except All and Blended.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Item Condition", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <select id="condition" name="amazomatic_rules_list[condition][]" class="cr_width_full">
                           <option value="All"';
               if ($condition == 'All') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("All", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="New"';
               if ($condition == 'New') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("New", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="Used"';
               if ($condition == 'Used') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Used", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="Collectible"';
               if ($condition == 'Collectible') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Collectible", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="Refurbished"';
               if ($condition == 'Refurbished') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Refurbished", 'amazomatic-amazon-post-generator') . '</option>
                       </select>  
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set if you want to filter results by their adult rating category.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Adult Product Filter", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <select id="adult_filter" name="amazomatic_rules_list[adult_filter][]" class="cr_width_full">
                           <option value="Any"';
               if ($adult_filter == 'Any') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Any", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="Safe"';
               if ($adult_filter == 'Safe') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Only Safe", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="Adult"';
               if ($adult_filter == 'Adult') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Only Adult", 'amazomatic-amazon-post-generator') . '</option>
                       </select>  
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Returns available items only. This parameter must be used with the Condition parameter. When Availability is set to Available, the Condition parameter cannot be set to New.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Item Availability", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <select id="availability" name="amazomatic_rules_list[availability][]" class="cr_width_full">
                           <option value="Any"';
               if ($availability == 'Any') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Any", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="Available"';
               if ($availability == 'Available') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Only Available", 'amazomatic-amazon-post-generator') . '</option>
                           <option value="IncludeOutOfStock"';
               if ($availability == 'IncludeOutOfStock') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Include Out Of Stock", 'amazomatic-amazon-post-generator') . '</option>
                       </select>  
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Artist name associated with the item. You can enter all or part of the name.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Artist Name", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="text" id="artist_name" name="amazomatic_rules_list[artist_name][]"  value="' . esc_attr($artist_name) . '" class="cr_width_full" placeholder="Input an artist name">
                           
           </div>
           </td></tr><tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select the type of sorting of the returned results. This will work only if you also set a value to the \'Amazon Category\' settings field.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Sort Results By", 'amazomatic-amazon-post-generator') . ':</b>   
                       </td><td class="cr_min_width_200">
                       <select id="sort_results" name="amazomatic_rules_list[sort_results][]" class="cr_width_full">
                       <option value="none"';
               if ($sort_results == 'none') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("None", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="Relevance"';
               if ($sort_results == 'Relevance') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Relevance", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="Price:LowToHigh"';
               if ($sort_results == 'Price:LowToHigh') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("APrice:LowToHigh", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="Price:HighToLow"';
               if ($sort_results == 'Price:HighToLow') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Price:HighToLow", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="NewestArrivals"';
               if ($sort_results == 'NewestArrivals') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("NewestArrivals", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="Featured"';
               if ($sort_results == 'Featured') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Featured", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="AvgCustomerReviews"';
               if ($sort_results == 'AvgCustomerReviews') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("AvgCustomerReviews", 'amazomatic-amazon-post-generator') . '</option
           </select>     
           </div>
           </td></tr><tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__('If your template supports "Post Formats", than you can select one here. If not, leave this at it\'s default value.', 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Generated Post Format", 'amazomatic-amazon-post-generator') . ':</b>   
                       </td><td>
                       <select id="post_format" name="amazomatic_rules_list[post_format][]" class="cr_width_full">
                       <option value="post-format-standard"';
               if ($post_format == 'post-format-standard') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Standard", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-aside"';
               if ($post_format == 'post-format-aside') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Aside", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-gallery"';
               if ($post_format == 'post-format-gallery') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Gallery", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-link"';
               if ($post_format == 'post-format-link') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Link", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-image"';
               if ($post_format == 'post-format-image') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Image", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-quote"';
               if ($post_format == 'post-format-quote') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Quote", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-status"';
               if ($post_format == 'post-format-status') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Status", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-video"';
               if ($post_format == 'post-format-video') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Video", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-audio"';
               if ($post_format == 'post-format-audio') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Audio", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="post-format-chat"';
               if ($post_format == 'post-format-chat') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Chat", 'amazomatic-amazon-post-generator') . '</option>
                   </select>     
           </div>
           </td></tr><tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select the post category that you want for the automatically generated posts to have.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Additional Post Category", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <select class="cr_width_full" id="default_category" name="amazomatic_rules_list[default_category][]">
                       <option value="amazomatic_no_category_12345678">' . esc_html__("Do Not Add a Category", 'amazomatic-amazon-post-generator') . '</option>';
               
               foreach ($categories as $category) {
                   $output .= '<option value="' . esc_attr($category->term_id) . '"';
                   if ($category->term_id == $default_category) {
                       $output .= ' selected';
                   }
                   $output .= '>' . sanitize_text_field($category->name) . '</option>';
               }
               $output .= '</select>     
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to automatically add post categories from the feed items?", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Auto Add Categories", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <select class="cr_width_full" id="auto_categories" name="amazomatic_rules_list[auto_categories][]">
                       <option value="disabled"';
               if ($auto_categories == 'disabled') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Disabled", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="item"';
               if ($auto_categories == 'item') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Item", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="content"';
               if ($auto_categories == 'content') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Content", 'amazomatic-amazon-post-generator') . '</option>
               <option value="keyword"';
               if ($auto_categories == 'keyword') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Keyword", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="both"';
               if ($auto_categories == 'both') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Item and Content", 'amazomatic-amazon-post-generator') . '</option>
                       </select>                
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("This feature will try to remove the WordPress\'s default post category. This may fail in case no additional categories are added, because WordPress requires at least one post category for every post.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Remove WP Default Post Category", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="remove_default" name="amazomatic_rules_list[remove_default][]"';
           if($remove_default == '1')
           {
               $output .= ' checked';
           }
           $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to automatically add post tags from the feed items?", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Auto Add Tags", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <select class="cr_width_full" id="auto_tags" name="amazomatic_rules_list[auto_tags][]">
                       <option value="disabled"';
               if ($auto_tags == 'disabled') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Disabled", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="item"';
               if ($auto_tags == 'item') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Item", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="content"';
               if ($auto_tags == 'content') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Content", 'amazomatic-amazon-post-generator') . '</option>
               <option value="keyword"';
               if ($auto_tags == 'keyword') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Keyword", 'amazomatic-amazon-post-generator') . '</option>
                       <option value="both"';
               if ($auto_tags == 'both') {
                   $output .= ' selected';
               }
               $output .= '>' . esc_html__("Item and Content", 'amazomatic-amazon-post-generator') . '</option>
                       </select>     
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Select the post tags that you want for the automatically generated posts to have.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Additional Post Tags", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input class="cr_width_full" type="text" name="amazomatic_rules_list[default_tags][]" value="' . esc_attr($default_tags) . '" placeholder="Please insert your additional post tags here" >
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Make permalinks (title and image) link directly to the post\'s source url. Warning: posts will not load at your site!", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Permalinks Link To Source", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="title_link" name="amazomatic_rules_list[title_link][]"';
               if ($title_link == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to link post images to original article source?", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Link Post Images To Source", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="add_link_img" name="amazomatic_rules_list[add_link_img][]"';
               if ($add_link_img == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to enable comments for the generated posts?", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Enable Comments For Posts", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="enable_comments" name="amazomatic_rules_list[enable_comments][]"';
               if ($enable_comments == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to enable pingbacks and trackbacks for the generated posts?", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Enable Pingback/Trackback", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="enable_pingback" name="amazomatic_rules_list[enable_pingback][]"';
               if ($enable_pingback == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Do you want to set featured image for generated post (to the first image that was found in the post)?", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Auto Get Featured Image", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <input type="checkbox" id="featured_image" name="amazomatic_rules_list[featured_image][]"';
               if ($featured_image == '1') {
                   $output .= ' checked';
               }
               $output .= '>
                           
           </div>
           </td></tr><tr><td>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Insert a comma separated list of links to valid images that will be set randomly for the featured image for the posts that do not have a valid image attached or if you disabled automatical featured image generation. You can also use image numeric IDs from images found in the Media Gallery. To disable this feature, leave this field blank.", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Default Featured Image List", 'amazomatic-amazon-post-generator') . ':</b>
                       </td><td>
                       <input class="cr_width_full" type="text" name="amazomatic_rules_list[image_url][]" placeholder="Please insert the link to a valid image" value="' . esc_attr($image_url) . '"/>
                       
           </td></tr><tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set the custom fields that will be set for generated posts. The syntax for this field is the following: custom_field_name1 => custom_field_value1, custom_field_name2 => custom_field_value2, ... . In custom_field_valueX, you can use shortcodes, same like in post content. Example (without quotes): \'title_custom_field => %%item_title%%\'. You can use the following shortcodes: %%item_add_to_cart_url%%, %%item_add_to_cart_button%%, %%item_get_intro%%, %%item_binding_category%%, %%item_brand%%, %%item_features%%, %%item_color%%, %%item_is_adult_product%%, %%item_price%%, %%item_manufacturer%%, %%item_size%%, %%item_offer_price%%, %%author%%, %%author_link%%, %%custom_html%%, %%custom_html2%%, %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_title_encoded%%, %%item_description%%, %%item_content%%, %%item_content_plain_text%%, %%item_img_url%%, %%item_url%%, %%item_cat%%, %%item_tags%%, %%item_buy_now_button%%, %%item_show_image%%, %%item_all_images%%, %%item_sales_rank%%, %%item_image_URL%%", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Post Custom Fields", 'amazomatic-amazon-post-generator') . ':</b>
                       
                       </td><td>
                       <textarea rows="1" cols="70" name="amazomatic_rules_list[custom_fields][]" placeholder="Please insert your desired custom fields. Example: title_custom_field => %%item_title%%" class="cr_width_full">' . esc_textarea($custom_fields) . '</textarea>
                           
           </div>
           </td></tr><tr><td class="cr_min_width_200">
           <div>
           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                                           <div class="bws_hidden_help_text cr_min_260px">' . esc_html__("Set the custom taxonomies that will be set for generated posts. The syntax for this field is the following: custom_taxonomy_name1 => custom_taxonomy_value1A, custom_taxonomy_value1B; custom_taxonomy_name2 => custom_taxonomy_value2A, custom_taxonomy_value2B; ... . In custom_taxonomy_valueX, you can use shortcodes. Example (without quotes): \'cats_taxonomy_field => manualtax1, %%item_add_to_cart_url%%; tags_taxonomy_field => manualtax2, %%item_add_to_cart_url%%\'. You can use the following shortcodes: %%item_add_to_cart_url%%, %%item_add_to_cart_button%%, %%item_get_intro%%, %%item_binding_category%%, %%item_brand%%, %%item_features%%, %%item_color%%, %%item_is_adult_product%%, %%item_price%%, %%item_manufacturer%%, %%item_size%%, %%item_offer_price%%, %%author%%, %%author_link%%, %%custom_html%%, %%custom_html2%%, %%random_sentence%%, %%random_sentence2%%, %%item_title%%, %%item_title_encoded%%, %%item_description%%, %%item_content%%, %%item_content_plain_text%%, %%item_img_url%%, %%item_url%%, %%item_cat%%, %%item_tags%%, %%item_buy_now_button%%, %%item_show_image%%, %%item_all_images%%, %%item_sales_rank%%, %%item_image_URL%%. If you defined custom tag names in the \'Feed Item Custom Tag Names\' settings field in plugin\'s \'Main Settings\', you will also be able to use a shortcode for each inserted field name, in this format: %%custom_*field_name*%%", 'amazomatic-amazon-post-generator') . '
                           </div>
                       </div>
                       <b>' . esc_html__("Post Custom Taxonomies", 'amazomatic-amazon-post-generator') . ':</b>
                       </td><td>
                         <textarea rows="1" cols="70" name="amazomatic_rules_list[custom_tax][]" placeholder="Please insert your desired custom taxonomies. Example: custom_taxonomy_name => %%item_cats%%" class="cr_width_full">' . esc_textarea($custom_tax) . '</textarea>  
           </div>
           </td></tr></table></div> 
       </div>
       <div class="codemodalfzr-footer">
         <br/>
         <h3 class="cr_inline">Amazomatic Automatic Post Generator</h3><span id="amazomatic_ok' . esc_html($cont) . '" class="codeokfzr cr_inline">OK&nbsp;</span>
         <br/><br/>
       </div>
     </div>
   
   </div>     
                       </td>
   						<td class="cr_shrt_td2"><span class="wpamazomatic-delete">X</span></td>
                           <td class="cr_short_td"><input type="checkbox" name="amazomatic_rules_list[active][]" class="activateDeactivateClass" value="1"';
               if (isset($active) && $active === '1') {
                   $output .= ' checked';
               }
               $output .= '/>
                           <input type="hidden" name="amazomatic_rules_list[last_run][]" value="' . esc_attr($last_run) . '"/></td>
                           <td class="cr_shrt_td2"><div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                           <div class="bws_hidden_help_text cr_min_260px">';if(isset($amazomatic_Main_Settings['secret_word']) && $amazomatic_Main_Settings['secret_word'] != ''){$output .= sprintf( wp_kses( __( 'Secret Word For Direct Run:', 'amazomatic-amazon-post-generator'), array(  'br' => array( ) ) ) ) . '<br/><b>?run_amazomatic=' . $amazomatic_Main_Settings['secret_word'] . '_0_' . esc_html($cont) . '</b><br/>';}$output .= sprintf( wp_kses( __( 'Shortcode for this rule<br/>(to cross-post from this plugin in other plugins):', 'amazomatic-amazon-post-generator'), array(  'br' => array( ) ) ) ) . '<br/><b>%%amazomatic_0_' . esc_html($cont) . '%%</b><br/>' . esc_html__('Posts Generated:', 'amazomatic-amazon-post-generator') . ' ' . esc_html($generated_posts) . '<br/>';
               if ($generated_posts != 0) {
                   $output .= '<a href="' . get_admin_url() . 'edit.php?coderevolution_post_source=Amazomatic_0_' . esc_html($cont) . '&post_type=' . esc_html($def_type) . '" target="_blank">' . esc_html__('View Generated Posts', 'amazomatic-amazon-post-generator') . '</a><br/>';
               }
               $output .= esc_html__('Last Run: ', 'amazomatic-amazon-post-generator');
               if ($last_run == '1988-01-27 00:00:00') {
                   $output .= 'Never';
               } else {
                   $output .= $last_run;
               }
               $now     = amazomatic_get_date_now();
               $output .= '<br/>' . esc_html__('Next Run: ', 'amazomatic-amazon-post-generator');
               if ( defined( 'DISABLE_WP_CRON' ) && DISABLE_WP_CRON ) {
                   $output .= esc_html__('WP-CRON Disabled. Rules will not automatically run!', 'amazomatic-amazon-post-generator');
               }
               else
               {
                   $nextrun = amazomatic_add_hour($last_run, $schedule);
                   if (isset($active) && $active === '1') {
                       $amazomatic_hour_diff = (int) amazomatic_hour_diff($now, $nextrun);
                       if ($amazomatic_hour_diff >= 0) {
                           $append = 'Now.';
                           $cron   = _get_cron_array();
                           if ($cron != FALSE) {
                               $date_format = _x('Y-m-d H:i:s', 'Date Time Format1', 'amazomatic-amazon-post-generator');
                               foreach ($cron as $timestamp => $cronhooks) {
                                   foreach ((array) $cronhooks as $hook => $events) {
                                       if ($hook == 'amazomaticaction') {
                                           foreach ((array) $events as $key => $event) {
                                               $append = date_i18n($date_format, $timestamp);
                                           }
                                       }
                                   }
                               }
                           }
                           $output .= $append;
                       } else {
                           $output .= $nextrun;
                       }
                   } else {
                       $output .= esc_html__('Rule Disabled', 'amazomatic-amazon-post-generator');
                   }
               }
               $output .= '<br/>' . esc_html__('Local Time: ', 'amazomatic-amazon-post-generator') . $now;
               $output .= '</div>
                       </div></td>
                           <td class="cr_center">
                           <div>
                           <img id="run_img' . esc_html($cont) . '" src="' . plugin_dir_url(dirname(__FILE__)) . 'images/running.gif' . '" alt="Running" class="cr_status_icon';
               if (!empty($running)) {
                   if (!in_array(array($cont => 0), $running)) {
                       $f = fopen(get_temp_dir() . 'amazomatic_0_' . $cont, 'w');
                       if($f !== false)
                       {
                           flock($f, LOCK_UN);
                           fclose($f);
                           global $wp_filesystem;
                           if ( ! is_a( $wp_filesystem, 'WP_Filesystem_Base') ){
                               include_once(ABSPATH . 'wp-admin/includes/file.php');$creds = request_filesystem_credentials( site_url() );
                               wp_filesystem($creds);
                           }
                           $wp_filesystem->delete(get_temp_dir() . 'amazomatic_0_' . $cont);
                       }
                       $output .= ' cr_hidden';
                   }
                   else
                   {
                       $f = fopen(get_temp_dir() . 'amazomatic_0_' . $cont, 'w');
                       if($f !== false)
                       {
                           if (!flock($f, LOCK_EX | LOCK_NB)) {
                           }
                           else
                           {
                               $output .= ' cr_hidden';
                               flock($f, LOCK_UN);
                               if (($xxkey = array_search(array($cont => 0), $running)) !== false) {
                                   unset($running[$xxkey]);
                                   update_option('amazomatic_running_list', $running);
                               }
                           }
                       }
                   }
               } else {
                   $f = fopen(get_temp_dir() . 'amazomatic_0_' . $cont, 'w');
                   if($f !== false)
                   {
                       flock($f, LOCK_UN);
                       fclose($f);
                       global $wp_filesystem;
                       if ( ! is_a( $wp_filesystem, 'WP_Filesystem_Base') ){
                           include_once(ABSPATH . 'wp-admin/includes/file.php');$creds = request_filesystem_credentials( site_url() );
                           wp_filesystem($creds);
                       }
                       $wp_filesystem->delete(get_temp_dir() . 'amazomatic_0_' . $cont);
                   }
                   $output .= ' cr_hidden';
               }
               $output .= '" title="status">
                           <div class="codemainfzr">
                           <select id="actions" class="actions" name="actions" onchange="actionsChangedManual(' . esc_html($cont) . ', this.value, 0);" onfocus="this.selectedIndex = 0;">
                               <option value="select" disabled selected>' . esc_html__("Select an Action", 'amazomatic-amazon-post-generator') . '</option>
                               <option value="run">' . esc_html__("Run This Rule Now", 'amazomatic-amazon-post-generator') . '</option>
                               <option value="trash">' . esc_html__("Move All Posts To Trash", 'amazomatic-amazon-post-generator') . '</option>
   							<option value="duplicate" onclick="">' . esc_html__("Duplicate This Rule", 'amazomatic-amazon-post-generator') . '</option>
                               <option value="delete">' . esc_html__("Permanently Delete All Posts", 'amazomatic-amazon-post-generator') . '</option>
                           </select>
                           </div>
                           </div>
                           </td>
   					</tr>	
   					';
               $cont = $cont + 1;
           }
       }
       return $output;
   }
   ?>